=== debian/control ===
Source: ioquake3
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
           Simon McVittie <smcv@debian.org>
Build-Depends: debhelper (>= 8),
               libcurl4-gnutls-dev,
               libjpeg62-dev,
               libopenal-dev,
               libsdl1.2-dev,
               libspeexdsp-dev,
               libvorbis-dev,
               lsb-release
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-games/ioquake3.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/ioquake3.git;a=summary
Homepage: http://www.ioquake3.org/

Package: ioquake3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: openarena (>= 0.8.5) | quake3,
            x11-utils | zenity | kdebase-bin
Suggests: ioquake3-server (= ${binary:Version})
Description: Game engine for 3D first person shooter games
 This package installs a modified version of the ioQuake3 game engine,
 which can be used to play various games based on that engine, such as
 OpenArena, Quake III: Arena, and in future perhaps World of Padman and
 Urban Terror.
 .
 This package alone isn't of any use; to get a playable game, install
 openarena or another suitable set of game data.
 .
 The openarena package currently contains its own version of ioQuake3,
 but in future it will depend on this package for the engine.

Package: ioquake3-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: openarena-server (>= 0.8.5) | quake3-server
Description: Standalone server for ioQuake3 based games
 This package installs a modified version of the ioQuake3 dedicated server,
 which can be used to serve various games based on that engine, such as
 OpenArena, Quake III: Arena, and in future perhaps World of Padman and
 Urban Terror.
 .
 This package alone isn't of any use; to get a usable server, install
 openarena-server or another suitable set of server data.
 .
 The openarena-server package currently contains its own version of ioq3ded,
 but in future it will depend on this package for the engine.

Package: ioquake3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ioquake3 (= ${binary:Version}) | ioquake3-server (= ${binary:Version}),
         ${misc:Depends}
Description: debug symbols for the ioquake3 game engine
 This package contains debug symbols for the ioQuake3 game engine,
 which can be used to analyze crashes in games that use Debian's shared
 ioquake engine.
