## ioquake3 1.36+svn1946

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
            Simon McVittie <smcv@debian.org>
 Build-Depends: debhelper (>= 8),
                libcurl4-gnutls-dev,
-               libjpeg62-dev,
+               libjpeg8-dev,
                libopenal-dev,
                libsdl1.2-dev,
                libspeexdsp-dev,
                libvorbis-dev,
                lsb-release
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-games/ioquake3.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/ioquake3.git;a=summary
 Homepage: http://www.ioquake3.org/
@@ -20,9 +20,7 @@
 Package: ioquake3
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: openarena (>= 0.8.5) | quake3,
-            x11-utils | zenity | kdebase-bin
-Suggests: ioquake3-server (= ${binary:Version})
+Recommends: x11-utils | zenity | kdebase-bin
 Description: Game engine for 3D first person shooter games
  This package installs a modified version of the ioQuake3 game engine,
  which can be used to play various games based on that engine, such as
@@ -38,7 +36,6 @@
 Package: ioquake3-server
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: openarena-server (>= 0.8.5) | quake3-server
 Description: Standalone server for ioQuake3 based games
  This package installs a modified version of the ioQuake3 dedicated server,
  which can be used to serve various games based on that engine, such as
