=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 # ---------------------------------------------------------------------------
 
 ORIG_REL = 1.36
-ORIG_REV = 1933
+ORIG_REV = 1946
 # SUFFIX can be made non-empty for re-repacks
 ORIG_SUFFIX =
