=== debian/control ===
--- 
+++ 
@@ -18,38 +18,31 @@
 Homepage: http://www.ioquake3.org/
 
 Package: ioquake3
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: x11-utils | zenity | kdebase-bin
+Breaks: openarena (<< 0.8.5-10~)
 Description: Game engine for 3D first person shooter games
  This package installs a modified version of the ioQuake3 game engine,
  which can be used to play various games based on that engine, such as
- OpenArena, Quake III: Arena, and in future perhaps World of Padman and
- Urban Terror.
+ OpenArena, Quake III: Arena, World of Padman and Urban Terror.
  .
  This package alone isn't of any use; to get a playable game, install
  openarena or another suitable set of game data.
- .
- The openarena package currently contains its own version of ioQuake3,
- but in future it will depend on this package for the engine.
 
 Package: ioquake3-server
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Standalone server for ioQuake3 based games
  This package installs a modified version of the ioQuake3 dedicated server,
  which can be used to serve various games based on that engine, such as
- OpenArena, Quake III: Arena, and in future perhaps World of Padman and
- Urban Terror.
+ OpenArena, Quake III: Arena, World of Padman and Urban Terror.
  .
  This package alone isn't of any use; to get a usable server, install
  openarena-server or another suitable set of server data.
- .
- The openarena-server package currently contains its own version of ioq3ded,
- but in future it will depend on this package for the engine.
 
 Package: ioquake3-dbg
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Section: debug
 Priority: extra
 Depends: ioquake3 (= ${binary:Version}) | ioquake3-server (= ${binary:Version}),
