=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 # ---------------------------------------------------------------------------
 
 ORIG_REL = 1.36
-ORIG_REV = 1946
+ORIG_REV = 2202
 # SUFFIX can be made non-empty for re-repacks
 ORIG_SUFFIX =
 
@@ -78,8 +78,10 @@
 	rm -rf ioquake3-${ORIG_VER}.orig/code/AL
 	rm -rf ioquake3-${ORIG_VER}.orig/code/SDL12
 	rm -rf ioquake3-${ORIG_VER}.orig/code/tools/lcc
+	rm -rf ioquake3-${ORIG_VER}.orig/code/jpeg-8c
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libcurl
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libs
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libspeex
+	rm -rf ioquake3-${ORIG_VER}.orig/code/zlib
 	tar -zcvf ioquake3_${ORIG_VER}.orig.tar.gz ioquake3-${ORIG_VER}.orig
 	rm -rf ioquake3-${ORIG_VER}.orig
