## ioquake3 1.36+svn2224

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
            Simon McVittie <smcv@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                libcurl4-gnutls-dev,
                libjpeg8-dev,
                libopenal-dev,
@@ -12,7 +12,7 @@
                libspeexdsp-dev,
                libvorbis-dev,
                lsb-release
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-games/ioquake3.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/ioquake3.git;a=summary
 Homepage: http://www.ioquake3.org/
