=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
            Simon McVittie <smcv@debian.org>
 Build-Depends: debhelper (>= 9),
+               dpkg-dev (>= 1.16.1),
                libcurl4-gnutls-dev,
                libjpeg8-dev,
                libopenal-dev,
