=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,18 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    MAKEFLAGS += -j$(NUMJOBS)
-endif
+include /usr/share/dpkg/default.mk
 
 Q3ARCH             := $(shell $(CURDIR)/debian/q3arch arch     HOST)
 Q3PLATFORM         := $(shell $(CURDIR)/debian/q3arch platform HOST)
 Q3COMPILE_ARCH     := $(shell $(CURDIR)/debian/q3arch arch     BUILD)
 Q3COMPILE_PLATFORM := $(shell $(CURDIR)/debian/q3arch platform BUILD)
 distro             := $(shell lsb_release -is)
-debian_version     := $(shell dpkg-parsechangelog -c1 | sed -ne 's/^Version: //p')
 
-CFLAGS += -fsigned-char
-
+CFLAGS += -fsigned-char -DWITH_OPENARENA $(CPPFLAGS)
 
 %:
-	dh $@
+	dh $@ --parallel
 
 ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 TARGET = release
@@ -26,7 +21,8 @@
 endif
 
 override_dh_auto_build:
-	$(MAKE) \
+	dh_auto_build \
+		-- \
 		BR=build \
 		BD=build \
 		V=1 \
@@ -48,7 +44,7 @@
 		DEFAULT_BASEDIR=/usr/lib/ioquake3 \
 		BUILD_GAME_SO=1 \
 		BUILD_GAME_QVM=0 \
-		VERSION=$(debian_version)/$(distro) \
+		VERSION=$(DEB_VERSION)/$(distro) \
 		CFLAGS="$(CFLAGS)" \
 		$(TARGET)
 	install build/ioq3ded.* build/ioq3ded
@@ -60,7 +56,7 @@
 # ---------------------------------------------------------------------------
 
 ORIG_REL = 1.36
-ORIG_REV = 2224
+ORIG_REV = 2287
 # SUFFIX can be made non-empty for re-repacks
 ORIG_SUFFIX =
