=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
                libcurl4-gnutls-dev,
                libjpeg8-dev,
                libopenal-dev,
+               libopus-dev,
+               libopusfile-dev,
                libsdl1.2-dev,
                libspeexdsp-dev,
                libvorbis-dev,
@@ -19,10 +21,10 @@
 Homepage: http://www.ioquake3.org/
 
 Package: ioquake3
-Architecture: linux-any kfreebsd-any
+Architecture: linux-any kfreebsd-any hurd-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: x11-utils | zenity | kdebase-bin
-Breaks: openarena (<< 0.8.5-10~)
+Breaks: openarena (<< 0.8.8-9~)
 Description: Game engine for 3D first person shooter games
  This package installs a modified version of the ioQuake3 game engine,
  which can be used to play various games based on that engine, such as
@@ -32,8 +34,9 @@
  openarena or another suitable set of game data.
 
 Package: ioquake3-server
-Architecture: linux-any kfreebsd-any
+Architecture: linux-any kfreebsd-any hurd-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: openarena-server (<< 0.8.8-9~)
 Description: Standalone server for ioQuake3 based games
  This package installs a modified version of the ioQuake3 dedicated server,
  which can be used to serve various games based on that engine, such as
@@ -43,7 +46,7 @@
  openarena-server or another suitable set of server data.
 
 Package: ioquake3-dbg
-Architecture: linux-any kfreebsd-any
+Architecture: linux-any kfreebsd-any hurd-any
 Section: debug
 Priority: extra
 Depends: ioquake3 (= ${binary:Version}) | ioquake3-server (= ${binary:Version}),
