=== debian/rules ===
--- 
+++ 
@@ -26,16 +26,19 @@
 		BR=build \
 		BD=build \
 		V=1 \
+		USE_CODEC_OPUS=1 \
 		USE_CODEC_VORBIS=1 \
 		USE_CURL=1 \
 		USE_CURL_DLOPEN=0 \
+		USE_INTERNAL_JPEG=0 \
+		USE_INTERNAL_OGG=0 \
+		USE_INTERNAL_OPUS=0 \
+		USE_INTERNAL_SPEEX=0 \
+		USE_INTERNAL_ZLIB=0 \
+		USE_LOCAL_HEADERS=0 \
 		USE_OPENAL=1 \
 		USE_OPENAL_DLOPEN=0 \
 		USE_VOIP=1 \
-		USE_INTERNAL_SPEEX=0 \
-		USE_INTERNAL_ZLIB=0 \
-		USE_INTERNAL_JPEG=0 \
-		USE_LOCAL_HEADERS=0 \
 		ARCH=$(Q3ARCH) \
 		PLATFORM=$(Q3PLATFORM) \
 		COMPILE_ARCH=$(Q3COMPILE_ARCH) \
@@ -55,29 +58,49 @@
 
 # ---------------------------------------------------------------------------
 
+ORIG_REPO ?= https://github.com/ioquake/ioq3/
 ORIG_REL = 1.36
-ORIG_REV = 2287
-# SUFFIX can be made non-empty for re-repacks
+# Empty if upstream ever get round to tagging a release
+ORIG_REV = 42eeb75
+# Use the date of the ORIG_REV, or 20130426.1 if you snapshot twice in a day,
+# or empty if ORIG_REV is
+ORIG_DATE = 20130504
+# Non-empty for re-repacks (+dfsg2 or something)
 ORIG_SUFFIX =
 
 ifeq (${ORIG_REV},)
+	# I have no idea what tags are going to look like, because there
+	# aren't any yet. For now, assume they'll be like "1.37".
 	ORIG_VER := ${ORIG_REL}${ORIG_SUFFIX}
-	ORIG_EXPORT := svn://svn.icculus.org/quake3/tags/${ORIG_VER}
+	ORIG_EXPORT := ${ORIG_REL}
 else
-	ORIG_VER := ${ORIG_REL}+svn${ORIG_REV}${ORIG_SUFFIX}
-	ORIG_EXPORT := -r ${ORIG_REV} svn://svn.icculus.org/quake3/trunk
+	# I'd use "+gitsomething", but that sorts earlier than
+	# "+svn1788", and "++gitsomething" is really ugly. +u sorts later,
+	# and can be justified as short for "upstream".
+	# "+g" because "+u20130426.gfffffff" sorts later than
+	# "+u20130426.1.gfffffff", whereas "+u20130426+gfffffff"
+	# sorts earlier than "+u20130426.1+gfffffff" as desired.
+	ORIG_VER := ${ORIG_REL}+u${ORIG_DATE}+g${ORIG_REV}${ORIG_SUFFIX}
+	ORIG_EXPORT := ${ORIG_REV}
 endif
 
 get-orig-source:
-	svn export ${ORIG_EXPORT} ioquake3-${ORIG_VER}.orig
-	rm -rf ioquake3-${ORIG_VER}.orig/.svnignore
+	git clone --bare --branch master ${ORIG_REPO} ioquake3-${ORIG_VER}.git
+	GIT_DIR=ioquake3-${ORIG_VER}.git git archive \
+		--format=tar \
+		--prefix=ioquake3-${ORIG_VER}.orig/ \
+		${ORIG_EXPORT} | tar -xvf-
 	rm -rf ioquake3-${ORIG_VER}.orig/code/AL
 	rm -rf ioquake3-${ORIG_VER}.orig/code/SDL12
 	rm -rf ioquake3-${ORIG_VER}.orig/code/tools/lcc
 	rm -rf ioquake3-${ORIG_VER}.orig/code/jpeg-8c
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libcurl
+	rm -rf ioquake3-${ORIG_VER}.orig/code/libogg-*
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libs
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libspeex
+	rm -rf ioquake3-${ORIG_VER}.orig/code/opus-*
+	rm -rf ioquake3-${ORIG_VER}.orig/code/opusfile-*
 	rm -rf ioquake3-${ORIG_VER}.orig/code/zlib
-	tar -zcvf ioquake3_${ORIG_VER}.orig.tar.gz ioquake3-${ORIG_VER}.orig
+	tar --xz -cvf ioquake3_${ORIG_VER}.orig.tar.xz ioquake3-${ORIG_VER}.orig
 	rm -rf ioquake3-${ORIG_VER}.orig
+	rm -rf ioquake3-${ORIG_VER}.git
